MCP providers
Rotate an MCP provider grant key
Mint a fresh bearer grant key for the provider and retire the previous one. The new key + binding are pushed to relays and daemons before the old grant is revoked (grace-safe). Like create, the new grant key is returned exactly once and is never retrievable afterward.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/mcp-providers/string/grant/rotate"{ "id": "string", "name": "string", "kind": "string", "transport": "string", "url": "string", "service": "string", "visibility": "string", "sharedWith": [ "string" ], "ui": true, "createdBy": "string", "canEdit": true, "canManageSharing": true, "headerNames": [ "string" ], "auth": "string", "oauth": { "status": "string", "issuer": "string", "scopes": [ "string" ], "clientSource": "string", "expiresAt": "string" }, "createdAt": "string", "grantKey": "string"}